Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Vincent Belaïche <[email-masked]>
Date: Thu, 14 Jan 2016 23:54:57 +0100

Answers below...

Le 14/01/2016 19:20, Eli Zaretskii a écrit :
>> From: Vincent Belaïche <[email-masked]> 
>> Cc: Vincent Belaïche <[email-masked]>
>>  ,[email-masked]
>> Date: Thu, 14 Jan 2016 17:15:24 +0100
>>

[...]

>> #0  0x011119c6 in print_object (obj=obj@entry=12579352, 
>>     printcharfun=printcharfun@entry=0, escapeflag=escapeflag@entry=true)
>>     at print.c:1505
>> 1505		if (p != end && (*p == '-' || *p == '+')) p++;
>
> It looks like it crashes while trying to display a Lisp backtrace.
>
> Please tell what these commands display:
>
>   (gdb) p p
>   (gdb) p end
>
> Thanks.

Here you are. I tried to print other variables too, but unfortunately,
when doing that it seems that I have killed the gdb session (doing `p
*p' has caused gdb to get locked telling "value has been optimized out",
and then I had to do `M-x signal-process RET shell RET 3 RET' to exit
from this.

--8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
(gdb) p p
$1 = <optimized out>
(gdb) p end
$2 = (unsigned char *) 0x9bbcd354 <Address 0x9bbcd354 out of bounds>
(gdb) p obj
$3 = 12579352
(gdb) p name
$4 = <optimized out>
(gdb) p *p
(gdb) value has been optimized out
--8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----

I will try to reproduce the crash... sorry for I lost the session...

VBR,
	Vincent Belaïche